From: Emil Velikov via B4 Relay <devnull+emil.l.velikov.gmail.com@kernel.org>
To: linux-firmware@kernel.org
Cc: Emil Velikov <emil.l.velikov@gmail.com>
Subject: [PATCH v2 11/16] copy-firmware.sh: add err() helper
Date: Mon, 23 Sep 2024 14:09:39 +0100 [thread overview]
Message-ID: <20240923-misc-fixes-v2-11-397f23443628@gmail.com> (raw)
In-Reply-To: <20240923-misc-fixes-v2-0-397f23443628@gmail.com>
From: Emil Velikov <emil.l.velikov@gmail.com>
Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
---
copy-firmware.sh | 21 ++++++++++-----------
1 file changed, 10 insertions(+), 11 deletions(-)
diff --git a/copy-firmware.sh b/copy-firmware.sh
index f83b4775cd2ce873b0f6fa76c4d61df3bcf1b5df..610c8b65b2b3bdb9f723da3656112ac121e51c84 100755
--- a/copy-firmware.sh
+++ b/copy-firmware.sh
@@ -11,6 +11,11 @@ compress=cat
compext=
destdir=
+err() {
+ echo -e "ERROR: $*"
+ exit 1
+}
+
while test $# -gt 0; do
case $1 in
-v | --verbose)
@@ -26,8 +31,7 @@ while test $# -gt 0; do
--xz)
if test "$compext" = ".zst"; then
- echo "ERROR: cannot mix XZ and ZSTD compression"
- exit 1
+ err "cannot mix XZ and ZSTD compression"
fi
compress="xz --compress --quiet --stdout --check=crc32"
compext=".xz"
@@ -36,8 +40,7 @@ while test $# -gt 0; do
--zstd)
if test "$compext" = ".xz"; then
- echo "ERROR: cannot mix XZ and ZSTD compression"
- exit 1
+ err "cannot mix XZ and ZSTD compression"
fi
# shellcheck disable=SC2209
compress="zstd --compress --quiet --stdout"
@@ -47,8 +50,7 @@ while test $# -gt 0; do
*)
if test -n "$destdir"; then
- echo "ERROR: unknown command-line options: $*"
- exit 1
+ err "unknown command-line options: $*"
fi
destdir="$1"
@@ -58,8 +60,7 @@ while test $# -gt 0; do
done
if test -z "$destdir"; then
- echo "ERROR: destination directory was not specified"
- exit 1
+ err "destination directory was not specified"
fi
# shellcheck disable=SC2162 # file/folder name can include escaped symbols
@@ -115,9 +116,7 @@ done
# Verify no broken symlinks
if test "$(find "$destdir" -xtype l | wc -l)" -ne 0 ; then
- echo "ERROR: Broken symlinks found:"
- find "$destdir" -xtype l
- exit 1
+ err "Broken symlinks found:\n$(find "$destdir" -xtype l)"
fi
exit 0
--
2.46.1
next prev parent reply other threads:[~2024-09-23 13:09 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-23 13:09 [PATCH v2 00/16] Range of copy-firmware/check_whence fixes Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 01/16] check_whence.py: use consistent naming Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 02/16] check_whence.py: ban link-to-a-link Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 03/16] check_whence.py: LC_ALL=C sort -u the filelist Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 04/16] check_whence.py: annotate replacement strings as raw Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 05/16] editorconfig: add initial config file Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 06/16] Style update yaml files Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 07/16] copy-firmware.sh: flesh out and fix dedup-firmware.sh Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 08/16] Revert "copy-firmware: Support additional compressor options" Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 09/16] copy-firmware.sh: reset and consistently handle destdir Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 10/16] copy-firmware.sh: fix indentation Emil Velikov via B4 Relay
2024-09-23 13:09 ` Emil Velikov via B4 Relay [this message]
2024-09-23 13:09 ` [PATCH v2 12/16] copy-firmware.sh: warn if the destination folder is not empty Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 13/16] copy-firmware.sh: call ./check_whence.py before parsing the file Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 14/16] copy-firmware.sh: remove no longer reachable test -f Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 15/16] copy-firmware.sh: remove no longer reachable test -L Emil Velikov via B4 Relay
2024-09-23 13:09 ` [PATCH v2 16/16] copy-firmware.sh: rename variables in symlink hanlding Emil Velikov via B4 Relay
2024-10-10 3:25 ` [PATCH v2 00/16] Range of copy-firmware/check_whence fixes Mario Limonciello
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240923-misc-fixes-v2-11-397f23443628@gmail.com \
--to=devnull+emil.l.velikov.gmail.com@kernel.org \
--cc=emil.l.velikov@gmail.com \
--cc=linux-firmware@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).